/*	Public domain	*/

#ifndef _AGAR_SG_PE_ODE_H_
#define _AGAR_SG_PE_ODE_H_
#include <freesg/config/have_ode.h>
#ifdef HAVE_ODE

#include <ode/ode.h>

#include <freesg/pe/begin.h>

typedef struct pe_ode_node_data {
	dBodyID body;
	dGeomID geom;
} PE_OdeNodeData;

typedef struct pe_ode {
	struct pe pe;
} PE_Ode;

__BEGIN_DECLS
extern PE_Class peOdeClass;

PE_Ode *PE_OdeNew(void *, const char *);
__END_DECLS

#include <freesg/pe/close.h>
#endif /* HAVE_ODE */
#endif /* _AGAR_SG_PE_ODE_H_ */
