/*	Public domain	*/

#ifndef _FREESG_SK_GUI_H_
#define _FREESG_SK_GUI_H_

#include <agar/math.h>
#include <freesg/sg/icons.h>
#include <freesg/sk/sk_view.h>

#include <freesg/sk/begin.h>
__BEGIN_DECLS
extern AG_Object skVfsRoot;			/* General-purpose VFS */

void       SK_InitGUI(void);
void       SK_DestroyGUI(void);

void       SK_FileMenu(AG_MenuItem *, void *);
void       SK_EditMenu(AG_MenuItem *, void *);

AG_Window *SK_GUI_OpenObject(void *);
void       SK_GUI_NewObject(AG_Event *);
int        SK_GUI_LoadObject(AG_Event *);
void       SK_GUI_ImportObjectDlg(AG_Event *);
void       SK_GUI_OpenDlg(AG_Event *);
void       SK_GUI_SaveAsDlg(AG_Event *);
void       SK_GUI_Save(AG_Event *);
void       SK_GUI_Quit(AG_Event *);
void       SK_GUI_Undo(AG_Event *);
void       SK_GUI_Redo(AG_Event *);
void       SK_GUI_EditPreferences(AG_Event *);
void       SK_GUI_SelectFontDlg(AG_Event *);

__END_DECLS
#include <freesg/sk/close.h>

#endif /* _FREESG_SK_GUI_H_ */
